<?php

class MailboxLocaleLang extends HordeLocaleLang {
   
   function MailboxLocaleLang () {
      $this->HordeLocaleLang();
   }
   
   function error ($current_mbox, $action) {
      global $lang;
      
      $action_text = $lang->$action;
      return "Cartella: $current_mbox: $action_text Fallito";
   }
   
   function success1 ($current_mbox, $action, $num, $plural = false) {
      global $lang;
      
      if ($plural) $messages = 'Messaggi';
      else $messages = 'Messaggio';
      
      $action_text = $lang->$action;
      return "Cartella: $current_mbox: $action_text $num $messages";
   }
   
   function success2 ($current_mbox, $targetMbox, $action, $num, $plural = false) {
      global $lang;
      
      if ($plural) $messages = 'Messaggi';
      else $messages = 'Messaggio';
      
      $action_text = $lang->$action;
      return "Cartella: $current_mbox: $action_text $num $messages a $targetMbox";
   }
   
   function pagenav ($page, $page_count) {
      global $this_client;
      if ( $this_client == '' ) { $this_client = new WebClient; }

      if ( $this_client->lynx ) {
        return "Pagina $page di $page_count";
      } else {
        $len = strlen($page_count);
        return "pagina <input type=\"text\" name=\"page\" value=\"$page\" size=$len> di $page_count";
      }
   }
   
   function overview ($begin, $end, $nummsgs) {
	if($nummsgs == 0) {
           return "0 Messaggi";
       }        elseif($nummsgs == 1) {
           return "1 Messaggio";
       } else {
           return "$begin - $end di $nummsgs Messaggi";
       }
   }
   
}


$lang = new MailboxLocaleLang();
require('./locale/it/openwin.lang');

$lang->delete_link = 'Cancella';
$lang->undelete_link = 'Recupera';
$lang->move_link = 'Muovi';
$lang->copy_link = 'Copia';
$lang->selected_mail = 'messaggi selezionati';

$lang->sort_by_label = 'Ordina per';
$lang->date_label = 'Data';
$lang->from_label = 'Da';
$lang->subject_label = 'Oggetto';
$lang->size_label = 'Dim.';
$lang->to_label = 'A';

$lang->select_all = 'Seleziona tutto';
$lang->select_none = 'Annulla Selezione';
$lang->hide_deleted = 'Nascondi messaggi cancellati';
$lang->show_deleted = 'Mostra messaggi cancellati';
$lang->empty_trash = 'Elimina messaggi cancellati';

$lang->no_subject = 'Nessun Oggetto';
$lang->undisclosed_recipients = 'Destinatari nascosti';
$lang->mailbox = 'Cartella';

$lang->message = 'Messaggio';
$lang->messages = 'Messaggi';

$lang->deletion = 'Cancellazione';
$lang->deleted = 'Cancellato';
$lang->undeletion = 'Recupero';
$lang->undeleted = 'Recuperato';
$lang->move = 'Muovi';
$lang->moved = 'Spostato';
$lang->copy = 'Copia';
$lang->copied = 'Copiato';
$lang->expunge = 'Elimina';
$lang->expunged = 'Eliminato';
$lang->hiding_deleted = 'Nascosti i messaggi cancellati';
$lang->showing_deleted = 'Mostrati i messaggi cancellati';
$lang->deleted_summary = 'Messaggi cancellati sono nascosti';
$lang->empty_mailbox = 'Non ci sono messaggi in questa cartella.';
$lang->no_messages_selected = 'Prima devi selezionare almeno un messaggio.';

$lang->reverse_sort = 'Ordinamento inverso.';

$lang->refresh = 'Aggiorna il contenuto della cartella';
$lang->alert_really_delete = 'Sei sicuro di voler cancellare DEFINITIVAMENTE questi messaggi?';
$lang->first_page = 'prima pagina';
$lang->prev_page = 'pagina precedente';
$lang->next_page = 'pagina successiva';
$lang->last_page = 'ultima pagina';
$lang->no_mailbox_selected = 'Devi prima selezionare la cartella di destinazione.';
?>
